: Class AuthFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http.auth
Class AuthFilter

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.auth.AuthFilter

public class AuthFilter
extends java.lang.Object
implements PropRequestFilter

Field Summary
`protected HttpManager` | `manager` the HttpManager that installed us.
`protected static java.util.Hashtable` | `realms` The per-server realms we know about.

Constructor Summary
`AuthFilter()`

Method Summary
`boolean` | `exceptionFilter(Request request, HttpException ex)` This filter doesn't handle exceptions.
`Reply` | `ingoingFilter(Request request)` On the way out, we let the request fly through.
`void` | `initialize(HttpManager manager)` PropRequestFilter implementation - Initialize the filter.
`protected static HttpCredential` | `lookupRealm(Request request, Reply reply)`
`Reply` | `outgoingFilter(Request request, Reply reply)` Catch any authentication requirement, and fullfill it with user's help.
`protected static void` | `registerRealm(Request request, Reply reply, HttpCredential credentials)`
`void` | `sync()` We don't maintain cached informations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### realms

    protected static java.util.Hashtable realms

  The per-server realms we know about.

### manager

    protected HttpManager manager

  the HttpManager that installed us.

Constructor Detail

### AuthFilter

    public AuthFilter()

Method Detail

### registerRealm

    protected static void registerRealm(Request request,
                                        Reply reply,
                                        HttpCredential credentials)

### lookupRealm

    protected static HttpCredential lookupRealm(Request request,
                                                Reply reply)

### initialize

    public void initialize(HttpManager manager)

  PropRequestFilter implementation - Initialize the filter. Time to register ourself to the HttpManager.
  Specified by:
    initialize in interface PropRequestFilter
  Parameters:
    `manager` - The HTTP manager that is initializing ourself.

### exceptionFilter

    public boolean exceptionFilter(Request request,
                                   HttpException ex)

  This filter doesn't handle exceptions.
  Parameters:
    `request` - The request that triggered the exception.
    `ex` - The triggered exception.
  Returns:
    Always false.

### ingoingFilter

    public Reply ingoingFilter(Request request)

  On the way out, we let the request fly through.
  Parameters:
    `request` - The request about to be emitted.

### outgoingFilter

    public Reply outgoingFilter(Request request,
                                Reply reply)
                         throws HttpException

  Catch any authentication requirement, and fullfill it with user's help. This method trap all request for authentication, and pops up a dialog prompting for the user's name and password.

  It then retries the request with the provided authentication informations.

  Parameters:
    `request` - The request that requires authentication.
    `reply` - The original reply.
  Throws:
    HttpException - If some HTTP error occurs.

### sync

    public void sync()

  We don't maintain cached informations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD